### Hierarchy

- unknown
  - RemoveMailboxDataMessage

## Index

### Constructors

- constructor

### Methods

- clearProtectedStorageEntry
- getProtectedStorageEntry
- hasProtectedStorageEntry
- serializeBinary
- setProtectedStorageEntry
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RemoveMailboxDataMessage(): RemoveMailboxDataMessage

- Inherited from jspb.Message.constructor

  #### Returns RemoveMailboxDataMessage

## Methods

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): RemoveMailboxDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:883

  #### Returns RemoveMailboxDataMessage

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedMailboxStorageEntry

- - Defined in src/protobuf/pb_pb.d.ts:880

  #### Returns undefined | ProtectedMailboxStorageEntry

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:882

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:885

  #### Returns Uint8Array

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedMailboxStorageEntry ): RemoveMailboxDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:881

  #### Parameters

  - ##### Optional value: ProtectedMailboxStorageEntry

  #### Returns RemoveMailboxDataMessage

### toObject

- toObject(includeInstance?: boolean): RemoveMailboxDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:886

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RemoveMailboxDataMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveMailboxDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:889

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveMailboxDataMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveMailboxDataMessage, reader: BinaryReader): RemoveMailboxDataMessage

- - Defined in src/protobuf/pb_pb.d.ts:890

  #### Parameters

  - ##### message: RemoveMailboxDataMessage

  - ##### reader: BinaryReader

  #### Returns RemoveMailboxDataMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveMailboxDataMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:888

  #### Parameters

  - ##### message: RemoveMailboxDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RemoveMailboxDataMessage ): RemoveMailboxDataMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:887

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveMailboxDataMessage

  #### Returns RemoveMailboxDataMessage . AsObject

Generated using TypeDoc